Bug 206793 - devel/radare2: Update to 0.10.0
Summary: devel/radare2: Update to 0.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-31 13:48 UTC by Kurt Jaeger
Modified: 2016-02-03 17:22 UTC (History)
3 users (show)

See Also:
torres.73a: maintainer-feedback+


Attachments
patch (18.33 KB, patch)
2016-01-31 13:48 UTC, Kurt Jaeger
pi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2016-01-31 13:48:40 UTC
Created attachment 166349 [details]
patch

Changes:
  http://radare.today/posts/radare-0-10-0/

portlint: OK
poudriere on 11a, 10.2a+i, 9.3a OK
Comment 1 Alex Wilkinson 2016-02-01 14:32:22 UTC
I will look at this very soon.

  -Alex
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-01 14:44:45 UTC
Repoerter is Committer, assign accordingly
Comment 3 Alex Wilkinson 2016-02-02 04:32:41 UTC
Approved.

   -Alex
Comment 4 commit-hook freebsd_committer 2016-02-02 06:20:47 UTC
A commit references this bug:

Author: pi
Date: Tue Feb  2 06:20:12 UTC 2016
New revision: 407796
URL: https://svnweb.freebsd.org/changeset/ports/407796

Log:
  devel/radare2: 0.9.9 -> 0.10.0

  Changes:
    http://radare.today/posts/radare-0-10-0/

  PR:		206793
  Approved by:	Alex Wilkinson <torres.73a@gmail.com> (maintainer)

Changes:
  head/devel/radare2/Makefile
  head/devel/radare2/distinfo
  head/devel/radare2/files/patch-CVE-2015-2331
  head/devel/radare2/files/patch-shlr_Makefile
  head/devel/radare2/pkg-plist
Comment 5 oleksii.tsai 2016-02-03 05:28:46 UTC
I know this is already approved and commited, but as an afterthought, does this port have to conflict with capstone ports? It doesn't look like they overlap in provided files.
Comment 6 Kurt Jaeger freebsd_committer 2016-02-03 05:41:55 UTC
Yes, if capstone is installed, the build uses the wrong include files and fails to build.
Comment 7 oleksii.tsai 2016-02-03 06:35:16 UTC
(In reply to Kurt Jaeger from comment #6)
I think we should revise this. The problem this introduces is that there is no way to use capstone if radare is installed, other than compiling it manually and having it in a non standard location. capstone is a general purpose framework and is not limited to just radare. If no one has any objections or concerns I can prepare a patch that adds (actually revives) an option for this port to be built against system capstone or bundled version of capstone.
Comment 8 Kurt Jaeger freebsd_committer 2016-02-03 06:38:55 UTC
(In reply to oleksii.tsai from comment #7)
Yes, this should be fixed. radare2 brings its own version of capstone, right now.

It would be much better if it uses the port. Similar with zip and other
libs it has in shlr/.
Comment 9 Alex Wilkinson 2016-02-03 06:51:15 UTC
Agree!

  -Alex
Comment 10 Kurt Jaeger freebsd_committer 2016-02-03 17:22:38 UTC
(In reply to oleksii.tsai from comment #7)
Yes, this should be fixed. radare2 brings its own version of capstone, right now.

It would be much better if it uses the port. Similar with zip and other
libs it has in shlr/.